build fixes and tweaks
authorGood Guy <good1.2guy@gmail.com>
Mon, 6 Jun 2016 01:25:08 +0000 (19:25 -0600)
committerGood Guy <good1.2guy@gmail.com>
Mon, 6 Jun 2016 01:25:08 +0000 (19:25 -0600)
cinelerra-5.1/Makefile.am
cinelerra-5.1/bld_scripts/bld_dynamic.sh
cinelerra-5.1/bld_scripts/bld_incremental.sh [deleted file]
cinelerra-5.1/bld_scripts/bld_package.sh
cinelerra-5.1/bld_scripts/bld_prepare.sh
cinelerra-5.1/bld_scripts/bld_static.sh
cinelerra-5.1/db/utils/Makefile
cinelerra-5.1/doc/Makefile
cinelerra-5.1/doc/manual.pdf [deleted file]
cinelerra-5.1/plugins/theme_bright/data/goto.png [new file with mode: 0644]

index 95fc4ee3131165c54b8510d1736789da8b097ea9..a3d3aa64f8389a19d71ccc9c5acc27fd04041fee 100644 (file)
@@ -11,7 +11,7 @@ AUTOMAKE_OPTIONS=foreign
 ACLOCAL_AMFLAGS = -I m4
 
 SUBDIRS = thirdparty libzmpeg3 mpeg2enc mplexlo \
-       db guicast cinelerra plugins doc po
+       db guicast cinelerra plugins doc po db/utils
 
 BUILT_SOURCES := bin
 bin:
@@ -34,8 +34,9 @@ binstall:     install-recursive
        cp -a COPYING README models ffmpeg msg.txt bin/.
        sed -e 's/\<cin\>/$(WANT_CIN)/g' < image/cin.desktop \
                > "bin/applications/$(WANT_CIN).desktop"
-       cp -a image/cin.svg "bin/pixmaps/?$(WANT_CIN)".svg
+       cp -a image/cin.svg "bin/pixmaps/$(WANT_CIN)".svg
        cp -a image/cin.xpm "bin/pixmaps/$(WANT_CIN)".xpm
+       cp -a db/utils/new_db "bin/cin_db"
 
 buninstall:
        rm -rf bin
@@ -43,7 +44,7 @@ buninstall:
 # with system_build
 cinstall:
        cd bin; $(inst_sh) "$(DESTDIR)$(bindir)" "$(WANT_CIN)" \
-               mpeg3{cat,cc2txt,ifochk,show,toc}
+               cin_db mpeg3{cat,cc2txt,ifochk,show,toc}
        cd bin; $(inst_sh) "$(DESTDIR)$(WANT_CINLIB_DIR)" \
                bdwrite cutads hveg2enc mpeg2enc mplex mplexlo
        cd bin; $(inst_sh) "$(DESTDIR)$(datadir)/$(WANT_CIN)" \
@@ -57,6 +58,7 @@ cinstall:
 cuninstall:
        rm -f "$(DESTDIR)$(bindir)/$(WANT_CIN)"
        rm -f "$(DESTDIR)$(bindir)"/mpeg3{cat,cc2txt,ifochk,show,toc}
+       rm -f "$(DESTDIR)$(bindir)/cin_db"
        rm -rf "$(DESTDIR)$(WANT_CINLIB_DIR)"
        rm -rf "$(DESTDIR)$(datadir)/$(WANT_CIN)"
        rm -rf "$(DESTDIR)$(localedir)"/*/"LC_MESSAGES/$(WANT_CIN).mo"
index 9a8fbe2f17a7d5f2f6f5b02951d9fec666628223..40fd50ab757831744af35f37784f99970e5d6b75 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -x
 
 dir="$1"
 shift
@@ -13,20 +13,24 @@ if [ ! -d "$path/$dir/$bld" ]; then
 fi
 
 cd "$path/$dir/$bld"
-rm -rf "$proj"
-git clone --depth 1 "git://git.cinelerra-cv.org/goodguy/cinelerra.git" "$proj"
-#rsh host tar -C /mnt0 -cf - cinelerra5 | tar -xf -
+rm -rf "$proj.dyn"
+mkdir "$proj.dyn"
+
+git clone "git://git.cinelerra-cv.org/goodguy/cinelerra.git" "$proj.dyn"
+#rsh host tar -C "/mnt0/$proj" -cf - "$base" | tar -C "$proj.dyn" -xf -
 if [ $? -ne 0 ]; then
   echo "git clone $proj failed"
   exit 1
 fi
 
-cd "$proj/$base"
-
-./autogen.sh
-./configure --enable-static=no
-make all install >& log
+cd "$proj.dyn/$base"
+{
+./autogen.sh && \
+./configure --with-single-user --disable-static-build && \
+make $@ && \
+make install
+} 2>&1 | tee log || true
 
 echo "finished: scanning log for ***"
-grep -ai "\*\*\*.*error" log
+grep -ai "\*\*\*.*error" log | head
 
diff --git a/cinelerra-5.1/bld_scripts/bld_incremental.sh b/cinelerra-5.1/bld_scripts/bld_incremental.sh
deleted file mode 100755 (executable)
index 8a31cc6..0000000
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-dir="$1"
-path="/home"
-bld="git-repo"
-proj="cinelerra5"
-base="cinelerra-5.1"
-
-if [ ! -d "$path/$dir/$bld/$proj" ]; then
-  echo "$bld/$proj missing in $path/$dir"
-  exit 1
-fi
-
-cd "$path/$dir/$bld/$proj"
-git pull
-if [ $? -ne 0 ]; then
-  echo "git pull $bld/$proj failed"
-  exit 1
-fi
-
-cd "$base"
-make rebuild_all >& log1
-
-echo "finished: scanning log for ***"
-grep -a "\*\*\*" log1
-
index b9a7b6787538f34307c2e979a233b5cbee750e99..b08099d4aa9dae7f7963fa65bc7fec94e5807069 100755 (executable)
@@ -21,6 +21,7 @@ mint="mint-14.04.1"
 suse="opensuse-13.2"
 ub14="ub14.04.1"
 ub15="ub15.10"
+ub15="ub16.04"
 ubuntu="ubuntu-14.04.1"
 
 eval os="\${$dir}"
index 8acde06e7eed90c65d0d9c89deaf5d85820ebbd9..f6a2b7ecbb7749cacad8e9d9f41b52e59c5e1f7c 100755 (executable)
@@ -60,7 +60,7 @@ case "$dir" in
       ln -s libtermcap.so.2 /usr/lib64/libtermcap.so
     fi
   ;;
-"ubuntu" | "mint" | "ub14" | "ub15" | "debian")
+"ubuntu" | "mint" | "ub14" | "ub15" | "ub16" | "debian")
   apt-get -y install apt-file sox nasm yasm g++ build-essential libz-dev \
     texinfo libpng-dev freeglut3-dev libxv-dev libasound2-dev libbz2-dev \
     libncurses5-dev libxinerama-dev libfreetype6-dev libxft-dev libgif-dev \
index 14c461c2841383a025a1d66b5a31824742a23d3e..39e197439a7ce16fba5eb50ebd92a0ed2bb9ccef 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -x
 
 dir="$1"
 shift
@@ -13,20 +13,24 @@ if [ ! -d "$path/$dir/$bld" ]; then
 fi
 
 cd "$path/$dir/$bld"
-rm -rf "$proj"
-git clone --depth 1 "git://git.cinelerra-cv.org/goodguy/cinelerra.git" "$proj"
-#rsh host tar -C /mnt0 -cf - cinelerra5 | tar -xf -
+rm -rf "$proj.sta"
+mkdir "$proj.sta"
+
+git clone "git://git.cinelerra-cv.org/goodguy/cinelerra.git" "$proj.sta"
+#rsh host tar -C "/mnt0/$proj" -cf - "$base" | tar -C "$proj.sta" -xf -
 if [ $? -ne 0 ]; then
   echo "git clone $proj failed"
   exit 1
 fi
 
-cd "$proj/$base"
-
-./autogen.sh
-./configure --enable-static=yes
-make all install >& log
+cd "$proj.sta/$base"
+{
+./autogen.sh && \
+./configure --with-single-user --enable-static-build && \
+make $@ && \
+make install
+} 2>&1 | tee log || true
 
 echo "finished: scanning log for ***"
-grep -ai "\*\*\*.*error" log
+grep -ai "\*\*\*.*error" log | head
 
index 12e0abef7b08f683c0c2e96b2ead0d6a7ebb8e05..3a5eff85ee97cd49d47a7465d807ef4304d88c3e 100644 (file)
@@ -56,6 +56,8 @@ xtv:  xtv.C $(XTV_MEDIA_OBJS)
        @echo c++ -pthread $(CXXFLAGS) xtv.C $(XTV_MEDIA_OBJS) -o xtv
        @c++ -pthread $(XTV_INCLUDES) $(CXXFLAGS) xtv.C $(XTV_MEDIA_OBJS) $(XTV_LIBS) -o xtv
 
+install:
+
 clean:
        rm -f $(TARGETS) *.o a.out
 
index 220b5078922314d0e8425a2cfdd97f6c8c4e3e51..11615c304fec654c598a51e251234eb2e8182a68 100644 (file)
@@ -28,7 +28,6 @@ IMAGES = \
        mask.png \
        mutepatch_up.png \
        paste.png \
-       picon.png \
        projector.png \
        protect.png \
        recordpatch.png \
@@ -45,18 +44,19 @@ OUTPUT := cinelerra.html
 
 all: $(OUTPUT)
 
-$(OUTPUT):
-       tar -C ../plugins/theme_suv/data/ -cf - $(IMAGES) | tar -xkf -
+$(OUTPUT): $(IMAGES)
        makeinfo --html --no-split cinelerra.texi
 #      makeinfo --html cinelerra.texi
 
+$(IMAGES):
+       cp $(PLUGINS)/theme_suv/data/$@ .
+
 install:       all
        mkdir -p $(TARGET_DIR)
        cp -a *.png $(TARGET_DIR)/.
        cp -a cinelerra.html $(TARGET_DIR)/.
-       cp -a manual.pdf $(TARGET_DIR)/.
        cp -a Features5.pdf $(TARGET_DIR)/.
 
 clean:
-       rm -f $(IMAGES) $(OUTPUT)
+       rm -f $(OUTPUT) $(IMAGES)
 
diff --git a/cinelerra-5.1/doc/manual.pdf b/cinelerra-5.1/doc/manual.pdf
deleted file mode 100644 (file)
index 6360a01..0000000
Binary files a/cinelerra-5.1/doc/manual.pdf and /dev/null differ
diff --git a/cinelerra-5.1/plugins/theme_bright/data/goto.png b/cinelerra-5.1/plugins/theme_bright/data/goto.png
new file mode 100644 (file)
index 0000000..c33eb85
Binary files /dev/null and b/cinelerra-5.1/plugins/theme_bright/data/goto.png differ